## avifile 0.7.48~20090503.ds

=== debian/changelog ===
avifile (1:0.7.48~20090503.ds-13) unstable; urgency=low

  * Use --link-doc for documentation installation. (Closes: #700792)
    - Add preinst to remove real directory in libavifile-0.7c2

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 22 Feb 2013 14:47:49 +0800

avifile (1:0.7.48~20090503.ds-12) unstable; urgency=low

  * Add ftbfs-gcc4.7.patch to fix FTBFS by gcc-4.7 (Closes: #667107)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 09 May 2012 16:19:34 +0800

avifile (1:0.7.48~20090503.ds-11) unstable; urgency=low

  * Add libxt-dev to Build-Depends. Fix FTBFS on kfreebsd (Closes: #670450)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 01 May 2012 12:07:09 +0800

avifile (1:0.7.48~20090503.ds-10) unstable; urgency=low

  * Multi-Arch support
    - Use debhelper 9
    - Move common files to libavifile-0.7-common
    - Move toolkit to libavifile-0.7-bin
  * Bump Standards-Version to 3.9.3: nothing needs to be changed
  * Don't install vidix files. (Closes: #669516)
  * debian/copyright: use machine-readable 1.0 format

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 24 Apr 2012 02:11:21 +0800

avifile (1:0.7.48~20090503.ds-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove unnecessary build-dependency on libaudiofile-dev (Closes: #654737)

 -- Alessio Treglia <alessio@debian.org>  Thu, 05 Jan 2012 15:16:03 +0100

avifile (1:0.7.48~20090503.ds-9) unstable; urgency=low

  * Add debian/patches/ftbfs-freebsd.patch: Fix FTBFS on FreeBSD platform

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 21 Dec 2011 14:43:25 +0800

avifile (1:0.7.48~20090503.ds-8) unstable; urgency=low

  * Adopt this package. (Closes: #540906)
  * clean empty package subdirectory.
  * debian/rules: not to build empty packages
  * debian/control: add version constraints on Break field
  * Bump Standards-Version to 3.9.2: nothing needs to be changed
  * Use DebHelper7 debian/rules

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 17 Dec 2011 17:22:27 +0800

avifile (1:0.7.48~20090503.ds-7) unstable; urgency=low

  * QA upload.
  * Really disable MAD

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 08 Sep 2011 21:36:24 +0200

avifile (1:0.7.48~20090503.ds-6) unstable; urgency=low

  * QA upload.
  * Fix build with libav 0.7 (Closes: #640151)
  * Drop build dep on libmad-dev, this was only used for the now removed
    avifile player.	

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 03 Sep 2011 18:34:42 +0200

avifile (1:0.7.48~20090503.ds-5) unstable; urgency=low

  * Add build dependency on libxi-dev, which was formerly pulled
    in indirectly (Closes: #639199)
  * Add Breaks on old player binaries (Closes: #639256)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 27 Aug 2011 15:11:53 +0200

avifile (1:0.7.48~20090503.ds-4) unstable; urgency=low

  * QA upload.
  * Build-depend on libjpeg-dev, not libjpeg62-dev (Closes: #633688)
  * Begin work on avifile depreaction. The library will be kept for now
    until the reverse deps have been cleared, but the player and utils 
    are being removed now. They have far better replacements in the 
    archive and are still actively maintained upstream. The removal
    closes a few bugs: 
    (Closes: #450633, #604343, #188495, #331038, #372547, #416448)
  * Fix compatibility with libav/0.7.1 (Closes: #638566)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 21 Aug 2011 15:12:06 +0200

avifile (1:0.7.48~20090503.ds-3) unstable; urgency=low

  * QA upload.
  * Fix FTBFS with GCC4.5 (Closes: #564868).
  * debian/control:
    - Fix duplicate-in-relation-field in avifile-win32-plugin
      depends: ${shlibs:Depends}.
    - Fix debhelper-but-no-misc-depends avifile-win32-plugin.

 -- Alessio Treglia <alessio@debian.org>  Fri, 06 May 2011 10:30:19 +0200

avifile (1:0.7.48~20090503.ds-2) unstable; urgency=low

  * QA upload.
  * debian/source/format: New file; switch to source format 3.0 (quilt).
  * Add DEP-3 headers to all patches.
  * debian/control (Build-Depends): Drop quilt.
  * debian/rules: Remove patch/unpatch logic.
  * debian/patches/no-lame.patch: Split from autotools.patch as it is
    Debian-specific.
  * debian/patches/ftbfs-ia64.patch: New; fixes FTBFS on ia64.
  * debian/patches/series: Update.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 19 Nov 2009 14:39:52 +0200

avifile (1:0.7.48~20090503.ds-1) unstable; urgency=low

  * QA upload.
  * New upstream release/snapshot:
    + No longer adds -ldts to Libs in the .pc file (Closes: #492040).
    + Includes some portability fixes, crossing fingers that it'll build
    on more archs (Closes: #206467).
  * Repackage the upstream tarball, removing the embedded copy of LAME
    (Closes: #538753).  While here, kill also the bundled ffmpeg copy
    and /debian.
  * debian/compat: New file.
  * debian/control: Wrap all fields for diff-friendliness.  Add
    ${misc:Depends} to all binary packages' Depends.
    (Section): Change to `libs' to match the override.
    (Maintainer): The package is orphaned (#540906), set to the Debian QA
    Group.
    (Standards-Version): Claim compliance with 3.8.3 as of this release.
    (Build-Depends): Bump debhelper to >= 7.  Remove ancient version from
    libqt3-mt-dev.  Replace automake1.9 with automake.  Remove autoconf,
    always pulled in by automake.  Remove libdts-dev; not needed.  Remove
    redundant gettext and patch.  Remove alternative dependency on
    pnmtopng, merged ages ago into netpbm.  Add quilt, libavformat-dev,
    libxxf86dga-dev and libxxf86vm-dev.
    (Homepage): New field.
    (Conflicts, Replaces, Suggests): Remove -- the former ancient, the
    latter not needed.
    (Description): s/x86 Linux/GNU/ -- should work on GNU/kFreeBSD too,
    and eventually on more archs.  Remove Homepage(s).
    (libavifile-0.7-dev) <Depends>: Use ${binary:Version} instead of
    ${Source-Version}.  Remove libxft-dev, libxrender-dev and
    libfontconfig1-dev, not required by the .pc file.
    <Section>: Change to `libdevel'.


=== debian/control ===
Source: avifile
Section: libs
Priority: optional
Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Standards-Version: 3.9.3
Build-Depends: automake,
               debhelper (>= 9),
               liba52-dev,
               libavformat-dev,
               libjpeg-dev,
               libogg-dev,
               libsdl1.2-dev,
               libtool,
               libvorbis-dev,
               libxft-dev,
               libxi-dev,
               libxt-dev,
               libxxf86dga-dev,
               libxxf86vm-dev,
               netpbm
Homepage: http://avifile.sf.net

Package: libavifile-0.7-common
Architecture: all
Section: misc
Depends: ${misc:Depends}
Replaces: libavifile-0.7c2 (<< 1:0.7.48~20090503.ds-10)
Breaks: libavifile-0.7c2 (<< 1:0.7.48~20090503.ds-10)
Multi-Arch: foreign
Description: toolkit for libavifile
 Library that allows programs to read and write compressed
 AVI files (Indeo Video, DivX ;-), etc.) under GNU.
 (De)Compression is performed with various audio/video plugins
 (FFMpeg, Vorbis, Win32, ...).
 Formats like mpeg, mov are partly supported.
 For more info about usage of Win32, Lame and OpenDivX plugin
 see README.debian.
 .
 This package contains the common files which libavifile needed.

Package: libavifile-0.7c2
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libavifile-0.7-common, ${misc:Depends}, ${shlibs:Depends}
Breaks: avifile-divx-plugin (<< 1:0.7.48~20090503.ds-5),
        avifile-mad-plugin (<< 1:0.7.48~20090503.ds-5),
        avifile-mjpeg-plugin (<< 1:0.7.48~20090503.ds-5),
        avifile-player (<< 1:0.7.48~20090503.ds-5),
        avifile-utils (<< 1:0.7.48~20090503.ds-5),
        avifile-vorbis-plugin (<< 1:0.7.48~20090503.ds-5),
        avifile-win32-plugin (<< 1:0.7.48~20090503.ds-5),
        avifile-xvid-plugin (<< 1:0.7.48~20090503.ds-5)
Multi-Arch: same
Description: shared libraries for AVI read/writing
 Library that allows programs to read and write compressed
 AVI files (Indeo Video, DivX ;-), etc.) under GNU.
 (De)Compression is performed with various audio/video plugins
 (FFMpeg, Vorbis, Win32, ...).
 Formats like mpeg, mov are partly supported.
 For more info about usage of Win32, Lame and OpenDivX plugin
 see README.debian.

Package: libavifile-0.7-dev
Architecture: any
Section: libdevel
Depends: libavifile-0.7c2 (= ${binary:Version}), ${misc:Depends}
Breaks: avifile-divx-plugin (<< 1:0.7.48~20090503.ds-5),
        avifile-mad-plugin (<< 1:0.7.48~20090503.ds-5),
        avifile-mjpeg-plugin (<< 1:0.7.48~20090503.ds-5),
        avifile-player (<< 1:0.7.48~20090503.ds-5),
        avifile-utils (<< 1:0.7.48~20090503.ds-5),
        avifile-vorbis-plugin (<< 1:0.7.48~20090503.ds-5),
        avifile-win32-plugin (<< 1:0.7.48~20090503.ds-5),
        avifile-xvid-plugin (<< 1:0.7.48~20090503.ds-5),
        libavifile-0.7c2 (<< 1:0.7.48~20090503.ds-10)
Replaces: libavifile-0.7c2 (<< 1:0.7.48~20090503.ds-10)
Description: development header files for libavifile
 Contains the symlinks, headers and object files needed to compile
 and link programs which use aviplay library.

Package: libavifile-0.7-bin
Architecture: any
Section: misc
Depends: libavifile-0.7-common, ${misc:Depends}, ${shlibs:Depends}
Replaces: libavifile-0.7c2 (<< 1:0.7.48~20090503.ds-10)
Conflicts: libavifile-0.7c2 (<< 1:0.7.48~20090503.ds-10)
Description: toolkit for libavifile
 Library that allows programs to read and write compressed
 AVI files (Indeo Video, DivX ;-), etc.) under GNU.
 (De)Compression is performed with various audio/video plugins
 (FFMpeg, Vorbis, Win32, ...).
 Formats like mpeg, mov are partly supported.
 For more info about usage of Win32, Lame and OpenDivX plugin
 see README.debian.
 .
 This package contains the toolkit for libavifile.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

#
# ok looks like this script is becoming a little bit overcomplicated
# however if anyone know how to simplify this let me know: kabi@debian.org
#

package = avifile
version = -0.7
aviversion = $(package)$(version)
libraries = lib$(aviversion)c2

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS   := -Wall -g
CXXFLAGS := $(CFLAGS)
LDFLAGS  := -Wl,-z,defs -Wl,--as-needed

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
CXXFLAGS += -O0
else
CFLAGS += -O2 -ffast-math -fomit-frame-pointer
CXXFLAGS += -O2 -ffast-math -fomit-frame-pointer
endif

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
CROSS := --build=$(DEB_HOST_GNU_TYPE)
else
CROSS := --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif

%:
	dh $@

override_dh_auto_clean:
	@if [ -f Makefile ]; then $(MAKE) maintainer-clean ; fi
# remove various files which should not be in tar.gz
	@rm -rf core `find . -name "*~" -o -name Makefile.in -o -regex '.*\.bbg?' -o -name '*.gcov' -o -name '.#*' -o -name '*.out' `
	@rm -rf debian/docs .snprj build-stamp configure-stamp
	dh_clean acinclude.m4

override_dh_auto_configure:
	dh_testdir
	@echo "---=== Debian package is build with Lame support ===---"
	@echo "           library is being linked at runtime"
	@echo "for the full usage user has to install mp3lame library"
	./autogen.sh --clean
	dh_auto_configure -- --prefix=/usr --without-lame \
	  --enable-lamebin --without-mad --enable-quiet --enable-release \
	  --without-qt \
	  --disable-dependency-tracking $(CROSS) CFLAGS="$(CFLAGS)" \
	  CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"

override_dh_auto_test:

override_dh_auto_install:
	@echo ":: Preparing packages"
	dh_auto_install -- pkgdocdir=/usr/share/doc/lib$(aviversion)-common
	@rm -f debian/tmp/usr/share/doc/lib$(aviversion)-common/COPYING
	@rm -f debian/tmp/usr/share/doc/lib$(aviversion)-common/ChangeLog
	@chmod a+x debian/tmp/usr/share/$(aviversion)/scripts/avicap-*

override_dh_installdocs:
	dh_installdocs --link-doc=libavifile-0.7-common

=== debian/watch ===
version=3
opts=dversionmangle=s/\.ds$// \
  http://sf.net/avifile/avifile-0.7-(.*)\.tar\.bz2

## avifile 0.7.48%7e20090503.ds

=== debian/rules ===
--- 
+++ 
@@ -67,10 +67,7 @@
 
 override_dh_auto_install:
 	@echo ":: Preparing packages"
-	dh_auto_install -- pkgdocdir=/usr/share/doc/lib$(aviversion)-common
-	@rm -f debian/tmp/usr/share/doc/lib$(aviversion)-common/COPYING
-	@rm -f debian/tmp/usr/share/doc/lib$(aviversion)-common/ChangeLog
+	dh_auto_install -- pkgdocdir=/usr/share/doc/$(libraries)
+	@rm -f debian/tmp/usr/share/doc/$(libraries)/COPYING
+	@rm -f debian/tmp/usr/share/doc/$(libraries)/ChangeLog
 	@chmod a+x debian/tmp/usr/share/$(aviversion)/scripts/avicap-*
-
-override_dh_installdocs:
-	dh_installdocs --link-doc=libavifile-0.7-common

## avifile audiodecoder

=== Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = ../..
prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/avifile
pkglibdir = $(libdir)/avifile
pkgincludedir = $(includedir)/avifile

top_builddir = ../..

ACLOCAL = aclocal
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_alias = @build_alias@
build_triplet = @build@
host_alias = i686-pc-linux
host_triplet = i686-pc-linux-gnu
target_alias = i686-pc-linux
target_triplet = i686-pc-linux-gnu
AC3_CFLAGS = 
AC3_LDADD = 
AC3_LIBS = 
AC3_PATH = 
AC3_SOURCES = 
AVILIBDEPLIB = -lpthread -ldl 
AWK = @AWK@
CC = gcc
CPP = gcc -E
CXX = c++
DGA_LDADD = -lXxf86dga
GLINC = @GLINC@
GLLIB = @GLLIB@
GMSGFMT = @GMSGFMT@
IDL = @IDL@
INSTALL = /usr/bin/install -c
KDE_EXTRA_RPATH = @KDE_EXTRA_RPATH@
KDE_INCLUDES = @KDE_INCLUDES@
KDE_LDFLAGS = @KDE_LDFLAGS@
KDE_RPATH = @KDE_RPATH@
LD = /usr/bin/ld
LIBCOMPAT = @LIBCOMPAT@
LIBCRYPT = @LIBCRYPT@
LIBDL = @LIBDL@
LIBJPEG = @LIBJPEG@
LIBMICO = @LIBMICO@
LIBOBJS = 
LIBPNG = @LIBPNG@
LIBPTHREAD = @LIBPTHREAD@
LIBPYTHON = @LIBPYTHON@
LIBQIMGIO = @LIBQIMGIO@
LIBSOCKET = @LIBSOCKET@
LIBTIFF = @LIBTIFF@
LIBTOOL = $(SHELL) $(top_builddir)/libtool --silent
LIBUCB = @LIBUCB@
LIBUTIL = @LIBUTIL@
LIBXDMCP = @LIBXDMCP@
LIBZ = @LIBZ@
LIB_KDECORE = @LIB_KDECORE@
LIB_KDEUI = @LIB_KDEUI@
LIB_KFILE = @LIB_KFILE@
LIB_KFM = @LIB_KFM@
LIB_KHTML = @LIB_KHTML@
LIB_KHTMLW = @LIB_KHTMLW@
LIB_KIMGIO = @LIB_KIMGIO@
LIB_LIBS = @LIB_LIBS@
LIB_QT = @LIB_QT@
LIB_X11 = @LIB_X11@
LN_S = ln -s
MAKEINFO = makeinfo
MICO_INCLUDES = @MICO_INCLUDES@
MICO_LDFLAGS = @MICO_LDFLAGS@
MOC = /usr/bin/moc
MSGFMT = @MSGFMT@
NM = /usr/bin/nm -B
PACKAGE = avifile
PAMINC = @PAMINC@
PAMLIBPATHS = @PAMLIBPATHS@
PAMLIBS = @PAMLIBS@
PASSWDLIB = @PASSWDLIB@
PYTHONINC = @PYTHONINC@
PYTHONLIB = @PYTHONLIB@
QT_INCLUDES = -I/usr/include/qt
QT_LDFLAGS = -L/usr/lib
QT_NAME = -lqt
RANLIB = ranlib
SDL_CFLAGS = 
SDL_CONFIG = /usr/local/bin/sdl-config
SDL_LIBS = 
UIC = /usr/bin/uic
USE_NLS = @USE_NLS@
USE_QT = 1
USE_QTRECOMP = 1
USE_VIDCAP = 1
VERSION = 0.53
VM_LDADD = -lXxf86vm
WIN32_PATH = /usr/lib/win32
XBINDIR = @XBINDIR@
XGETTEXT = @XGETTEXT@
XMMS_CFLAGS = @XMMS_CFLAGS@
XMMS_CONFIG = @XMMS_CONFIG@
XMMS_DATA_DIR = @XMMS_DATA_DIR@
XMMS_EFFECT_PLUGIN_DIR = @XMMS_EFFECT_PLUGIN_DIR@
XMMS_GENERAL_PLUGIN_DIR = @XMMS_GENERAL_PLUGIN_DIR@
XMMS_INPUT_PLUGIN_DIR = @XMMS_INPUT_PLUGIN_DIR@
XMMS_LIBS = @XMMS_LIBS@
XMMS_OUTPUT_PLUGIN_DIR = @XMMS_OUTPUT_PLUGIN_DIR@
XMMS_PLUGIN_DIR = @XMMS_PLUGIN_DIR@
XMMS_VERSION = @XMMS_VERSION@
XMMS_VISUALIZATION_PLUGIN_DIR = @XMMS_VISUALIZATION_PLUGIN_DIR@
XMPS_CFLAGS = @XMPS_CFLAGS@
XMPS_CONFIG = @XMPS_CONFIG@
XMPS_DATA_DIR = @XMPS_DATA_DIR@
XMPS_EFFECT_PLUGIN_DIR = @XMPS_EFFECT_PLUGIN_DIR@
XMPS_GENERAL_PLUGIN_DIR = @XMPS_GENERAL_PLUGIN_DIR@
XMPS_INPUT_PLUGIN_DIR = @XMPS_INPUT_PLUGIN_DIR@
XMPS_LIBS = @XMPS_LIBS@
XMPS_OUTPUT_PLUGIN_DIR = @XMPS_OUTPUT_PLUGIN_DIR@
XMPS_PLUGIN_DIR = @XMPS_PLUGIN_DIR@
XMPS_VERSION = @XMPS_VERSION@
XMPS_VISUALIZATION_PLUGIN_DIR = @XMPS_VISUALIZATION_PLUGIN_DIR@
XPMINC = @XPMINC@
XPMLIB = @XPMLIB@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_INCLUDES = -I/usr/X11R6/include
X_LDFLAGS = -L/usr/X11R6/lib
X_SERVER = @X_SERVER@
ac_xdmdir = @ac_xdmdir@
all_includes = @all_includes@
all_libraries = @all_libraries@
install_root = @install_root@
kde_appsdir = @kde_appsdir@
kde_bindir = @kde_bindir@
kde_cgidir = @kde_cgidir@
kde_confdir = @kde_confdir@
kde_datadir = @kde_datadir@
kde_htmldir = @kde_htmldir@
kde_icondir = @kde_icondir@
kde_includes = @kde_includes@
kde_libraries = @kde_libraries@
kde_locale = @kde_locale@
kde_mimedir = @kde_mimedir@
kde_minidir = @kde_minidir@
kde_partsdir = @kde_partsdir@
kde_sounddir = @kde_sounddir@
kde_toolbardir = @kde_toolbardir@
kde_wallpaperdir = @kde_wallpaperdir@
qt_includes = /usr/include/qt
qt_libraries = /usr/lib
x_includes = /usr/X11R6/include
x_libraries = /usr/X11R6/lib
xdmconfigsubdir = @xdmconfigsubdir@

noinst_PROGRAMS = decoder
decoder_SOURCES = decoder.cpp audio.cpp
decoder_LDADD = ../../lib/libaviplay.la
CXXFLAGS = -I../../include -march=i586
LIBS = -lpthread -ldl 
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../../include/config.h
CONFIG_CLEAN_FILES = 
PROGRAMS =  $(noinst_PROGRAMS)


DEFS = -DHAVE_CONFIG_H -I. -I$(srcdir) -I../../include
CPPFLAGS = -g  -march=i586 -I/usr/X11R6/include -I/usr/local/include -I/usr/local/include/SDL -D_REENTRANT -w
LDFLAGS =  -L/usr/X11R6/lib -L/usr/lib
decoder_OBJECTS =  decoder.o audio.o
decoder_DEPENDENCIES =  ../../lib/libaviplay.la
decoder_LDFLAGS = 
CXXCOMPILE = $(CXX) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
DEP_FILES =  .deps/audio.P .deps/decoder.P
SOURCES = $(decoder_SOURCES)
OBJECTS = $(decoder_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .cpp .lo .o .s
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --foreign samples/decoder/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-noinstPROGRAMS:

clean-noinstPROGRAMS:
	-test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)

distclean-noinstPROGRAMS:

maintainer-clean-noinstPROGRAMS:

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

.s.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.S.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:

maintainer-clean-libtool:

decoder: $(decoder_OBJECTS) $(decoder_DEPENDENCIES)
	@rm -f decoder
	$(CXXLINK) $(decoder_LDFLAGS) $(decoder_OBJECTS) $(decoder_LDADD) $(LIBS)
.cpp.o:
	$(CXXCOMPILE) -c $<
.cpp.lo:
	$(LTCXXCOMPILE) -c $<

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = samples/decoder

distdir: $(DISTFILES)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(top_distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --foreign samples/decoder/Makefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done

DEPS_MAGIC := $(shell mkdir .deps > /dev/null 2>&1 || :)

-include $(DEP_FILES)

mostlyclean-depend:

clean-depend:

distclean-depend:
	-rm -rf .deps

maintainer-clean-depend:

%.o: %.c
	@echo '$(COMPILE) -c $<'; \
	$(COMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-cp .deps/$(*F).pp .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm .deps/$(*F).pp

%.lo: %.c
	@echo '$(LTCOMPILE) -c $<'; \
	$(LTCOMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-sed -e 's/^\([^:]*\)\.o[ 	]*:/\1.lo \1.o :/' \
	  < .deps/$(*F).pp > .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm -f .deps/$(*F).pp

%.o: %.cpp
	@echo '$(CXXCOMPILE) -c $<'; \
	$(CXXCOMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-cp .deps/$(*F).pp .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm .deps/$(*F).pp

%.lo: %.cpp
	@echo '$(LTCXXCOMPILE) -c $<'; \
	$(LTCXXCOMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-sed -e 's/^\([^:]*\)\.o[ 	]*:/\1.lo \1.o :/' \
	  < .deps/$(*F).pp > .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm -f .deps/$(*F).pp
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am:
install-exec: install-exec-am

install-data-am:
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am:
uninstall: uninstall-am
all-am: Makefile $(PROGRAMS)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-noinstPROGRAMS mostlyclean-compile \
		mostlyclean-libtool mostlyclean-tags mostlyclean-depend \
		mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-noinstPROGRAMS clean-compile clean-libtool clean-tags \
		clean-depend clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-noinstPROGRAMS distclean-compile \
		distclean-libtool distclean-tags distclean-depend \
		distclean-generic clean-am
	-rm -f libtool

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-noinstPROGRAMS \
		maintainer-clean-compile maintainer-clean-libtool \
		maintainer-clean-tags maintainer-clean-depend \
		maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: mostlyclean-noinstPROGRAMS distclean-noinstPROGRAMS \
clean-noinstPROGRAMS maintainer-clean-noinstPROGRAMS \
mostlyclean-compile distclean-compile clean-compile \
